Package org.springframework.batch.integration.step

# Class DelegateStep

java.lang.Object
org.springframework.batch.core.step.AbstractStep
org.springframework.batch.integration.step.DelegateStep

All Implemented Interfaces:
  `Step`, `org.springframework.beans.factory.Aware`, `org.springframework.beans.factory.BeanNameAware`, `org.springframework.beans.factory.InitializingBean`

public class DelegateStep extends AbstractStep
Provides a wrapper for an existing `Step`, delegating execution to it, but serving all other operations locally.

Author:
  Dave Syer

- ## Field Summary

  ### Fields inherited from interface org.springframework.batch.core.Step

  `STEP_TYPE_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DelegateStep()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `afterPropertiesSet()`
  Check mandatory properties (delegate).
  `protected void`
  `doExecute(StepExecution stepExecution)`
  Extension point for subclasses to execute business logic.
  `void`
  `setDelegate(Step delegate)`

  ### Methods inherited from class org.springframework.batch.core.step.AbstractStep

  `close, doExecutionRegistration, doExecutionRelease, execute, getCompositeListener, getJobRepository, getName, getStartLimit, isAllowStartIfComplete, open, registerStepExecutionListener, setAllowStartIfComplete, setBeanName, setJobRepository, setName, setStartLimit, setStepExecutionListeners, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DelegateStep

    public DelegateStep()

- ## Method Details

  - ### setDelegate

    public void setDelegate(Step delegate)
    Parameters:
      `delegate` - the delegate to set

  - ### afterPropertiesSet

    public void afterPropertiesSet() throws Exception
    Check mandatory properties (delegate).
    Specified by:
      `afterPropertiesSet` in interface `org.springframework.beans.factory.InitializingBean`
    Overrides:
      `afterPropertiesSet` in class `AbstractStep`
    Throws:
      `Exception`

  - ### doExecute

    protected void doExecute(StepExecution stepExecution) throws Exception
    Description copied from class: `AbstractStep`
    Extension point for subclasses to execute business logic. Subclasses should set the `ExitStatus` on the `StepExecution` before returning.
    Specified by:
      `doExecute` in class `AbstractStep`
    Parameters:
      `stepExecution` - the current step context
    Throws:
      `Exception` - checked exception thrown by implementation